@use 'sass:color';

@use '@material/theme/color-palette';

// Svelte Colors! (Dark Theme)
@use '@material/theme/index' as theme with (
  $primary: #002f5b,
  $secondary: #1E1E1E,
  $surface: #2A2D2E,
  $background: #323233,
  $on-primary: #FFFFFF,
  $on-secondary: white,
  $on-surface: white,
  $error: #B00020
);

html,
.body {
  background-color: theme.$surface;
}

.mdc-drawer--dismissible {
  right: 0;
  right: initial;
  display: none;
  position: absolute;
}


.dark-theme {
  position: absolute;
  left: 0;
  height:     100%;
  width:      100%;
  background-color: theme.$background;


  /*------------------------------------*\
    #App.svelte
  \*------------------------------------*/

  .terminal-position {
    position: fixed;
    bottom: 0;
    left:   0;
    right:  0;
    width: filled;
  }

  .table-position {
    width:  100%;
    height: 85%;
    overflow-y: scroll;
    margin-bottom: 1.25rem;
  }

  /*------------------------------------*\
    #Header.svelte
  \*------------------------------------*/

  .top-app-bar {
    background-color: theme.$primary
  }


  /*------------------------------------*\
    #Tool.svelte
  \*------------------------------------*/

  .toolbar { 
    height: filled;
    background-color: theme.$surface;
    color: theme.$on-surface;
  }

    .toolbar-container{
      display: flex; 
      flex-wrap: wrap; 
      align-items: center;
    }


  /*------------------------------------*\
    #Table.svelte
  \*------------------------------------*/

  .data-table {
    width: 85%;
    text-align: left;
    border-collapse: collapse;
    border:          0px solid #000000;
    box-shadow: rgb(0 0 0 / 10%) 0 2px 0 0;
    margin-left: 1px;
    
  }

    .data-table td, .data-table th {
      border: 1px solid #000000;
      padding: 5px 10px;
    }

    .data-table tbody td {
      font-size: 13px;
      background-color: theme.$surface;
                 color: theme.$on-surface;
    }

    .data-table thead {
      background-color: theme.$secondary;
                 color: theme.$on-surface;
      border-bottom: 2px solid #000000;
    }

      .data-table thead th {
        font-size:   16px;
        font-weight: bold;
        text-align: center;
      }

    .data-table tfoot td {
      font-size: 14px;
    }


  /*------------------------------------*\
    #Terminal.svelte
  \*------------------------------------*/

  .terminal{
    background-color: theme.$background;
    width:  100%;
    height: 100%;
    text-align: left;
    font-family: consolas, Monaco;
    border-radius: .25rem;
    line-height:  1.25rem;
    font-size:    0.85rem;
    resize: vertical;
  }

    .terminal-header{
      background-color: theme.$primary;
      padding: 3px 1rem;
      color: theme.$on-primary
      
     }
    
      .bullet{
        height: 11px;
        width:  11px;
        display: inline-block;
        background-color: theme.$background;
        border-radius: 100%;
        vertical-align: middle;
        margin-right: 5px;
      }

        .bullet-minimize{
          background-color: theme.$secondary;
        }

        .bullet-minimize:hover{
          background-color: color.scale(theme.$secondary, $lightness: 10%)
        }

    .terminal-window{
      max-height: 20%;
      min-height: 5em;
      max-height: 20em;
      padding: 0.5rem;
      background-color: theme.$secondary;
      color: theme.$on-secondary;
      overflow-y: scroll;
      resize: vertical;
    }

      .terminal-window pre{
        font-family: inherit;
        margin : 0px;
      }

      .terminal-prompt{
        display: flex;
      }

        .terminal-input{
          overflow-y: hidden;
          resize:     none;
          background: none;
          outline:    none;
          display: inline-block;
          width: 100%;
          font-size:   inherit;
          font-family: inherit;
          line-height: inherit;
          border:  0;
          margin:  0;
          padding: 0;
        }

      .terminal-prompt::before {
        font-family: inherit;
        content: "$";
      }


  /*------------------------------------*\
    #UploadWindow.svelte
  \*------------------------------------*/

  .upload-window{
    display: block;
    overflow:   auto;
    overflow-y: hidden;
    position: fixed;
    top:    0;
    right:  0;
    bottom: 0;
    left:   0;
    z-index: 10000;
    display: block;
    -webkit-overflow-scrolling: touch;
    outline: 0;
    box-sizing: border-box;
    color: theme.$on-surface;
  }
    .upload-dialog {
      position: relative;
      transform: translate(0);
      box-sizing: border-box;
      display: block;
    }

    @media (min-width: 768px){
      .upload-dialog {
        width: 600px;
        margin: 30px auto;
      }
    }

      .upload-content {
        position: relative;
        background-color: theme.$surface;
        background-clip:  padding-box;
        border:        1px solid rgba(0,0,0,.2);
        border-radius: 5px;
        outline: none;
        display: block;
      }
        .close-upload-window {
          float: right;
          font-size:   24px;
          font-weight: 700;
          line-height: 1;
          text-shadow: 0 1px 0 #fff;
          opacity: .4;
          margin-top: -2px;
          border: 0;
          position: absolute;
          top:   0;
          right: 0;
        }

        .upload-selector{
          display: flex;
          justify-content: center;
          align-items: center;
          border-top:    2px solid #e5e5e5;
          border-bottom: 2px solid #e5e5e5;
        }

          .dropzone {
            display: flex;
            justify-content: center;
            align-items: center;
            min-height: 100px;
          }

        .upload-footer {
          padding: 19px 20px 20px;
          text-align: right;
          background-color: theme.$surface;
          border-radius: 0 0 5px 5px;
          display: flex;
          justify-content: space-around;
          align-items: center;
        }

          .submit-upload {
            display: inline-block;
            margin-bottom: 0;
            font-weight: 700;
            text-align: center;
            vertical-align: middle;
            cursor: pointer;
            border: 0 solid transparent;
            padding: 4px 16px 5px;
            font-size: 16px;
            line-height: 1.5;
            border-radius: 10px;
                       color: theme.$on-surface;
            background-color: theme.$background;
          }
  }